Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.werkzeuge
Class Animation

    java.lang.Object
      java.lang.Thread
          sum.werkzeuge.Animation

All Implemented Interfaces:
  Serializable, Runnable

    public abstract class Animation

extends Thread
implements Serializable

Eine Animation realisiert ein Objekt, das den abstrakten Dienst zeichne() regelmaessig aufruft. die Klasse Animation ist abstrakt, da der Dienst zeichne() abstrakt ist. Die Klasse muss also eine Unterklasse besitzen, die den Dienst zeichne() implementiert. Eine Animation wird mit dem Dienst gibFrei() angehalten.

Version:
  7.3 vom 11.10.2011
Author:
  Bernard Schriek
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`Animation()` Die Animation wird initialisiert.

Method Summary
`void` | `gibFrei()` Dummy-Prozedur
`void` | `run()` Interner Dienst, der mit dem aufruf start() gestartet wird und mit gibFrei() beendet wird.
`abstract void` | `zeichne()` Abstrakter Dienst, der in der konkreten Unterklasse implementiert werden muss.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Animation

    public Animation()

  Die Animation wird initialisiert.

Method Detail

### gibFrei

    public void gibFrei()

  Dummy-Prozedur

### run

    public void run()

  Interner Dienst, der mit dem aufruf start() gestartet wird und mit gibFrei() beendet wird. Die Animation laeuft und ruft regelmaessig den Dienst "zeichne" auf.

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

### zeichne

    public abstract void zeichne()

  Abstrakter Dienst, der in der konkreten Unterklasse implementiert werden muss.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD